This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 799979 - systems cannot be registered with i18n names
systems cannot be registered with i18n names
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: ---
: 1.X
Assigned To: Adrian Likins
SAM QE List
: i18n, Triaged
Depends On:
Blocks: 790138 sam11-tracker
  Show dependency treegraph
 
Reported: 2012-03-05 09:32 EST by Tom McKay
Modified: 2012-08-22 09:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 09:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomckay: automate_bug?


Attachments (Terms of Use)
system can be registered with i18n names (131.26 KB, image/png)
2012-05-08 04:23 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tom McKay 2012-03-05 09:32:44 EST
Creating a system in candlepin (with subscription-manager or katello) that has multibyte characters in it, fails.
Comment 3 Adrian Likins 2012-03-20 11:20:49 EDT
Are there any errors or logs of what happens when this fails?
Comment 4 Adrian Likins 2012-04-30 13:20:18 EDT
commit 0548a44644d59681f1c659c6bc5217aee876e053
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Apr 2 14:45:34 2012 -0400

    799979: allow katello to set the allow consumer name pattern
    
    The consumer name pattern wasn't allowing multibyte chars
    in consumer names. This is not required for standalone
    candlepin, so we make this configurable.
    
    This adds two new config options:
        candlepin.consumer_system_name_pattern
        candlepin.consumer_person_name_pattern
Comment 5 Adrian Likins 2012-04-30 13:45:11 EDT
For the moment, the default is still the old patterns. To use the new ones, use
something like:

candlepin.consumer_system_name_pattern=.+
candlepin.consumer_person_name_pattern=.+

in /etc/candlepin/candlepin.conf
Comment 6 Tom McKay 2012-05-02 09:17:53 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 90abad8ce851d6692e284abc6c7ea7d45bd8898b
      https://github.com/Katello/katello/commit/90abad8ce851d6692e284abc6c7ea7d45bd8898b
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-04-30 (Mon, 30 Apr 2012)

Requires candlepin-0.5.30 or greater
Comment 7 Tazim Kolhar 2012-05-08 04:23:03 EDT
Created attachment 582919 [details]
system can be registered with i18n names

VERIFIED with the build :

[root@dell-pe1950-01 ~]# rpm -qa | grep candlepin
candlepin-tomcat6-0.6.2-1.el6_2.noarch
candlepin-0.6.2-1.el6_2.noarch
katello-glue-candlepin-0.3.1-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-cert-consumer-dell-pe1950-01.rhts.englab.brq.redhat.com-1.0-1.noarch

[root@dell-pe1950-01 ~]# rpm -qa | grep katello
katello-cli-common-0.3.2-1.el6_2.noarch
katello-glue-candlepin-0.3.1-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-headpin-0.2.6-1.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-configure-0.3.3-1.el6_2.noarch
katello-common-0.3.1-1.el6_2.noarch
katello-headpin-all-0.2.6-1.el6_2.noarch



[root@dell-pe1950-01 ~]# subscription-manager register --username admin --password admin --org ACME_Corporation --environment DEV --name 無 --autosubscribe
The system has been registered with id: b32ec835-b4c9-4597-ad28-72b88e60dad6 
Installed Product Current Status:

ProductName:         	Red Hat Enterprise Linux Server
Status:               	Not Subscribed  


[root@dell-pe1950-01 ~]# headpin -u admin -p admin system list --org ACME_Corporation
--------------------------------------------------------------------------------
                  Systems List For Org [ ACME_Corporation ]

 Name   Ipv4 Address   Service Level  
--------------------------------------------------------------------------------
 無      None

Note You need to log in before you can comment on or make changes to this bug.